## visad
Class VisADEvent

    java.lang.Object
      java.awt.Event
          visad.VisADEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ControlEvent, DisplayEvent, ScalarMapEvent

public class VisADEvent
extends Event

`VisADEvent` is the VisAD class for `Event`s passed between `Display`s.

See Also:
  Serialized Form

Field Summary
`static int` `LOCAL_SOURCE`
`static int` `UNKNOWN_REMOTE_SOURCE`

Fields inherited from class java.awt.Event

`ACTION_EVENT, ALT_MASK, arg, BACK_SPACE, CAPS_LOCK, clickCount, CTRL_MASK, DELETE, DOWN, END, ENTER, ESCAPE, evt, F1, F10, F11, F12, F2, F3, F4, F5, F6, F7, F8, F9, GOT_FOCUS, HOME, id, INSERT, key, KEY_ACTION, KEY_ACTION_RELEASE, KEY_PRESS, KEY_RELEASE, LEFT, LIST_DESELECT, LIST_SELECT, LOAD_FILE, LOST_FOCUS, META_MASK, modifiers, MOUSE_DOWN, MOUSE_DRAG, MOUSE_ENTER, MOUSE_EXIT, MOUSE_MOVE, MOUSE_UP, NUM_LOCK, PAUSE, PGDN, PGUP, PRINT_SCREEN, RIGHT, SAVE_FILE, SCROLL_ABSOLUTE, SCROLL_BEGIN, SCROLL_END, SCROLL_LINE_DOWN, SCROLL_LINE_UP, SCROLL_LOCK, SCROLL_PAGE_DOWN, SCROLL_PAGE_UP, SHIFT_MASK, TAB, target, UP, when, WINDOW_DEICONIFY, WINDOW_DESTROY, WINDOW_EXPOSE, WINDOW_ICONIFY, WINDOW_MOVED, x, y`

Constructor Summary
`VisADEvent(Object target, int id, Object arg, int remoteId)`

Method Summary
`int` `getRemoteId()` Get the remote event source id.
`boolean` `isRemote()` Get whether the event came from a remote source.

Methods inherited from class java.awt.Event
`controlDown, metaDown, paramString, shiftDown, toString, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOCAL_SOURCE

    public static final int LOCAL_SOURCE

See Also:
  Constant Field Values

### UNKNOWN_REMOTE_SOURCE

    public static final int UNKNOWN_REMOTE_SOURCE

See Also:
  Constant Field Values

Constructor Detail

### VisADEvent

    public VisADEvent(Object target,
                      int id,
                      Object arg,
                      int remoteId)

Method Detail

### getRemoteId

    public int getRemoteId()

  Get the remote event source id.

  Returns:
    the remote id (or 0 if this was a local event)

### isRemote

    public boolean isRemote()

  Get whether the event came from a remote source.

  Returns:
    true if remote, false if local